/* $Id: roadveh.h 6529 2006-09-27 15:40:55Z bjarni $ */

#include "vehicle.h"


static inline bool IsRoadVehInDepot(const Vehicle* v)
{
	assert(v->type == VEH_Road);
	return v->u.road.state == 254;
}

static inline bool IsRoadVehInDepotStopped(const Vehicle* v)
{
	return IsRoadVehInDepot(v) && v->vehstatus & VS_STOPPED;
}

void CcCloneRoadVeh(bool success, TileIndex tile, uint32 p1, uint32 p2);
